SPLIT(1)

NAZWA
split - dzieli pliki na części

SKŁADNIA
split [OPCJA]... [WEJŚCIE [PRZEDROSTEK]]

OPIS

Wypisuje równe części WEJŚCIA do plików PRZEDROSTEKaa PRZEDROSTEKab, ...; domyślnym rozmiarem jest 1000 wierszy, a domyślnym PRZEDROSTKIEM jest x. Jeśli nie podano WEJŚCIA lub jako WEJŚCIE wpisano -, odczytywane jest standardowe wejście.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-a, --suffix-length=N
    używa przyrostków długości N (domyślnie 2)

--additional-suffix=PRZYROSTEK
    dodaje dodatkowy PRZYROSTEK do nazw plików.

-b, --bytes=ROZMIAR
    określa rozmiar każdego z plików wyjściowych na ROZMIAR

-C, --line-bytes=ROZMIAR
    używa najwyżej ROZMIARU bajtów na wiersz w każdym pliku wyjściowym

-d, --numeric-suffixes[=OD]
    używa przyrostków liczbowych zamiast alfabetycznych. OD zmienia wartość początkową (domyślnie 0).

-e, --elide-empty-files
    nie wypisuje pustych wierszy dla opcji -n

--filter=POLECENIE
    pisze do POLECENIA powłoki, nazwą pliku jest $FILE

-l, --lines=LICZBA
    używa LICZBY wierszy na każdy plik wyjściowy

-n, --number=CZĘŚCI
    dzieli plik na podaną liczbę CZĘŚCI. Patrz niżej

-u, --unbuffered
    natychmiast kopiuje wejście na wyjście z opcją -n r/...

--verbose
    wyświetla informacje diagnostyczne zaraz przed otwarciem każdego pliku wynikowego

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

ROZMIAR jest liczbą całkowitą wraz z opcjonalną jednostką (np. 10M to 10*1024*1024). Jednostki to: K, M, G, T, P, E, Z, Y (potęgi 1024) lub KB, MB itd. (potęgi 1000).

CZĘŚCI mogą mieć następującą postać:
 N dzieli na N plików w oparciu o rozmiar wejścia;
 K/N K-ta część z N jest wypisywana na standardowe wyjście;
 l/N dzieli na N plików bez dzielenia wierszy;
 l/K/N K-ta część z N jest wypisywana na standardowe wyjście, bez dzielenia wierszy;
 r/N jak l, ale kolejne wiersze są wypisywane do kolejnych plików;
 r/K/N jak wyżej, ale na standardowe wyjście wypisuje jedynie K-tą część N.

AUTOR
Napisane przez Torbjorna Granlunda i Richarda M. Stallmana.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów w split proszę wysyłać (po angielsku) na adres bug-coreutils@gnu.org
Strona internetowa GNU coreutils: <http://www.gnu.org/software/coreutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <http://www.gnu.org/gethelp/>
Zgłoszenia błędów w tłumaczeniu split proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2013 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja split jest dostępna w formacie Texinfo. Jeśli programy info i split są poprawnie zainstalowane, to polecenie

    info coreutils 'split invocation'

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Gwidon S. Naskrent (PTM) <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.21 oryginału.